

## Link 链接
> 代码块： `uLink`


uni-link是一个外部网页超链接组件，在小程序内复制url，在app内打开外部浏览器，在h5端打开新网页。

### 安装方式

本组件符合[easycom](https://uniapp.dcloud.io/collocation/pages?id=easycom)规范，`HBuilderX 2.5.5`起，只需将本组件导入项目，在页面`template`中即可直接使用，无需在页面中`import`和注册`components`。

如需通过`npm`方式使用`uni-ui`组件，另见文档：[https://ext.dcloud.net.cn/plugin?id=55](https://ext.dcloud.net.cn/plugin?id=55)

### 基本用法

在 ``template`` 中使用组件

```html
<uni-link href="https://uniapp.dcloud.io/" text="https://uniapp.dcloud.io/"></uni-link>
```

## API

### Link Props

|属性名				|类型		|默认值										|说明							|
|:-:					|:-:		|:-:										|:-:							|
|href					|String	|-											|链接地址						|
|text					|String	|-											|显示文字						|
|showUnderLine|Boolean|true										|是否显示下划线					|
|copyTips			|String	|已自动复制网址，请在手机浏览器里粘贴该网址	|在小程序端复制链接时的提示语	|
|color				|String	|#999999								|链接文字颜色					|
|fontSize			|String	|14											|链接文字大小，单位px			|

### href属性对tel和mailto格式说明

|值									|说明							|平台					|
|:-:								|:-:							|:-:					|
|tel:xxxxxxxxxxx		|拨打电话					|H5，App			|
|mailto:xxx@xxx.xxx	|发送邮件					|H5						|
